
-- Look up the icon associated with the given zone's exploration achievement, whatever the localization.
-- Why icons? Because these are standard no matter which localization is used. Using zone names alone isn't
-- reliable because the achievement names don't always use the zone's name as given by functions like
-- GetRealZoneText() with some localizations.

local LBZ = LibStub("LibBabble-Zone-3.0");
LBZ = LBZ:GetReverseLookupTable()

local EXPLOREZONEICONS = {
-- Eastern Kingdoms
  ["Alterac Mountains"] = "Interface\\Icons\\Achievement_Zone_AlteracMountains_01",
  ["Arathi Highlands"] = "Interface\\Icons\\Achievement_Zone_ArathiHighlands_01",
  ["Badlands"] = "Interface\\Icons\\Achievement_Zone_Badlands_01",
  ["Blasted Lands"] = "Interface\\Icons\\Achievement_Zone_BlastedLands_01",
  ["Burning Steppes"] = "Interface\\Icons\\Achievement_Zone_BurningSteppes_01",
  ["Dun Morogh"] = "Interface\\Icons\\Achievement_Zone_DunMorogh",
  ["Deadwind Pass"] = "Interface\\Icons\\Achievement_Zone_DeadwindPass",
  ["Duskwood"] = "Interface\\Icons\\Achievement_Zone_Duskwood",
  ["Eastern Plaguelands"] = "Interface\\Icons\\Achievement_Zone_EasternPlaguelands",
  ["Elwynn Forest"] = "Interface\\Icons\\Achievement_Zone_ElwynnForest",
  ["Eversong Woods"] = "Interface\\Icons\\Achievement_Zone_EversongWoods",
  ["Ghostlands"] = "Interface\\Icons\\Achievement_Zone_Ghostlands",
  ["Hillsbrad Foothills"] = "Interface\\Icons\\Achievement_Zone_HillsbradFoothills",
  ["Isle of Quel'Danas"] = "Interface\\Icons\\Achievement_Zone_IsleOfQuelDanas",
  ["Loch Modan"] = "Interface\\Icons\\Achievement_Zone_LochModan",
  ["Redridge Mountains"] = "Interface\\Icons\\Achievement_Zone_RedridgeMountains",
  ["Searing Gorge"] = "Interface\\Icons\\Achievement_Zone_SearingGorge_01",
  ["Silverpine Forest"] = "Interface\\Icons\\Achievement_Zone_Silverpine_01",
  ["Stranglethorn Vale"] = "Interface\\Icons\\Achievement_Zone_Stranglethorn_01",
  ["Swamp of Sorrows"] = "Interface\\Icons\\Achievement_Zone_SwampSorrows_01",
  ["The Hinterlands"] = "Interface\\Icons\\Achievement_Zone_Hinterlands_01",
  ["Tirisfal Glades"] = "Interface\\Icons\\Achievement_Zone_TirisfalGlades_01",
  ["Western Plaguelands"] = "Interface\\Icons\\Achievement_Zone_WesternPlaguelands_01",
  ["Westfall"] = "Interface\\Icons\\Achievement_Zone_WestFall_01",
  ["Wetlands"] = "Interface\\Icons\\Achievement_Zone_Wetlands_01",

-- Kalimdor
  ["Ashenvale"] = "Interface\\Icons\\Achievement_Zone_Ashenvale_01",
  ["Azshara"] = "Interface\\Icons\\Achievement_Zone_Azshara_01",
  ["Azuremyst Isle"] = "Interface\\Icons\\Achievement_Zone_AzuremystIsle_01",
  ["Bloodmyst Isle"] = "Interface\\Icons\\Achievement_Zone_BloodmystIsle_01",
  ["Darkshore"] = "Interface\\Icons\\Achievement_Zone_Darkshore_01",
  ["Desolace"] = "Interface\\Icons\\Achievement_Zone_Desolace",
  ["Durotar"] = "Interface\\Icons\\Achievement_Zone_Durotar",
  ["Dustwallow Marsh"] = "Interface\\Icons\\Achievement_Zone_DustwallowMarsh",
  ["Felwood"] = "Interface\\Icons\\Achievement_Zone_Felwood",
  ["Feralas"] = "Interface\\Icons\\Achievement_Zone_Feralas",
  ["Moonglade"] = "Interface\\Icons\\Spell_Arcane_TeleportMoonglade",
  ["Mulgore"] = "Interface\\Icons\\Achievement_Zone_Mulgore_01",
  ["Silithus"] = "Interface\\Icons\\Achievement_Zone_Silithus_01",
  ["Stonetalon Mountains"] = "Interface\\Icons\\Achievement_Zone_Stonetalon_01",
  ["Tanaris"] = "Interface\\Icons\\Achievement_Zone_Tanaris_01",  -- Tanaris Desert -> Tanaris
  ["Teldrassil"] = "Interface\\Icons\\Achievement_Zone_Darnassus",
  ["The Barrens"] = "Interface\\Icons\\Achievement_Zone_Barrens_01",
  ["Thousand Needles"] = "Interface\\Icons\\Achievement_Zone_ThousandNeedles_01",
  ["Un'Goro Crater"] = "Interface\\Icons\\Achievement_Zone_UnGoroCrater_01",
  ["Winterspring"] = "Interface\\Icons\\Achievement_Zone_Winterspring",

-- Outland
  ["Blade's Edge Mountains"] = "Interface\\Icons\\Achievement_Zone_BladesEdgeMtns_01",
  ["Hellfire Peninsula"] = "Interface\\Icons\\Achievement_Zone_HellfirePeninsula_01",
  ["Nagrand"] = "Interface\\Icons\\Achievement_Zone_Nagrand_01",
  ["Netherstorm"] = "Interface\\Icons\\Achievement_Zone_Netherstorm_01",
  ["Shadowmoon Valley"] = "Interface\\Icons\\Achievement_Zone_Shadowmoon",
  ["Terokkar Forest"] = "Interface\\Icons\\Achievement_Zone_Terrokar",
  ["Zangarmarsh"] = "Interface\\Icons\\Achievement_Zone_Zangarmarsh",

-- Northrend
  ["Borean Tundra"] = "Interface\\Icons\\Achievement_Zone_BoreanTundra_01",
  ["Crystalsong Forest"] = "Interface\\Icons\\Achievement_Zone_CrystalSong_01",
  ["Dragonblight"] = "Interface\\Icons\\Achievement_Zone_DragonBlight_01",
  ["Icecrown"] = "Interface\\Icons\\Achievement_Zone_IceCrown_01",
  ["Grizzly Hills"] = "Interface\\Icons\\Achievement_Zone_GrizzlyHills_01",
  ["Howling Fjord"] = "Interface\\Icons\\Achievement_Zone_HowlingFjord_01",
  ["Sholazar Basin"] = "Interface\\Icons\\Achievement_Zone_Sholazar_01",
  ["The Storm Peaks"] = "Interface\\Icons\\Achievement_Zone_StormPeaks_01",  -- Storm Peaks -> The Storm Peaks
  ["Zul'Drak"] = "Interface\\Icons\\Achievement_Zone_ZulDrak_03",
}

function Overachiever.ExploreZoneIconLookup(zoneName)
  local z = LBZ[zoneName] or zoneName
  local icon = EXPLOREZONEICONS[z]
  return icon
end
